Bug 1231759 - xpra does not display tray icon in KDE
Summary: xpra does not display tray icon in KDE
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xpra
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 11:06 UTC by Karel Volný
Modified: 2016-12-20 13:46 UTC (History)
3 users (show)

See Also:
(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 13:46:31 UTC


Attachments (Terms of Use)

Description Karel Volný 2015-06-15 11:06:11 UTC
Description of problem:
SSIA - since upgrade to F22 / KDE5, xpra no longer displays icon in the systray even when asked explicitly to do so.

Version-Release number of selected component (if applicable):
xpra-0.14.24-1.fc22.x86_64
plasma-workspace-5.3.1-2.fc22.x86_64

How reproducible:
always

Steps to Reproduce:
1. xpra --tray attach ssh:yourname@yourhost:port
2. examine the systray in the plasma panel

Actual results:
no icon for xpra

Expected results:
icon for xpra is shown once the connection is established

Additional info:
I'm not sure if the following console warning has to do anything with the problem:

2015-06-15 09:44:34,286 TrayBacking does not have any pixel data!

Comment 1 Antoine Martin 2015-12-15 05:38:39 UTC
KDE purposedly broke all system trays in version 5:
http://blog.martin-graesslin.com/blog/2014/06/where-are-my-systray-icons/
There are suggested workarounds in the link above.

Just like gnome3, and Ubuntu's unity before that, KDE apparently expects all applications to rewrite their systray support once more. "Last time, I promise"?.
Divide and conquer? We've done this to ourselves!

We have a ticket for that too:
http://xpra.org/trac/ticket/1016
But we just don't have the manpower to support this combinatorial explosion of DEs and libraries, this is complete madness.

We support win32 systrays using the same simple and unchanged API using straightforward python code, this works on anything from Windows 2000 (apparently), XP (for sure) up until today (Windows 10) - flawlessly. Ouch.

Comment 2 Karel Volný 2016-01-05 15:56:21 UTC
we're getting better, now I have some icon titled "Xpra" but it doesn't react to clicking :-)

(In reply to Antoine Martin from comment #1)
> Just like gnome3, and Ubuntu's unity before that, KDE apparently expects all
> applications to rewrite their systray support once more. "Last time, I
> promise"?.
> Divide and conquer? We've done this to ourselves!

a long long time ago, in a galaxy far far away ... we were taught to cooperate, to keep public interfaces stable etc.

people like Donald Knuth were our heros - TeX got "frozen" at version 3 in 1989 and is still usable and widely used

seems that kids today are taught exactly the opposite and today's heros ... well, rather stop here 'cause criticism also isn't welcome these days

> We have a ticket for that too:
> http://xpra.org/trac/ticket/1016
> But we just don't have the manpower to support this combinatorial explosion
> of DEs and libraries, this is complete madness.

from http://blog.martin-graesslin.com/blog/2014/03/system-tray-in-plasma-next/

"In case it’s an open source application it will be easy to fix and we as the Plasma team are happy to help as much as we can."

so ... did you ask Martin for patch so he can help as much as he can?

Comment 3 Antoine Martin 2016-01-26 04:51:03 UTC
Sorry for taking so long to reply.

I have not asked for help as I do not see the point in doing so: the fix does not belong in our app as we use a toolkit to deal with the system tray..
IMO, the fix belongs in the toolkit.

Here is what we use:
http://www.pygtk.org/pygtk2reference/class-gtkstatusicon.html

I can't wait to hear about how we should switch to Python 3, GTK3 and all the breakage that goes with it. ;)

Comment 4 Karel Volný 2016-01-26 17:00:11 UTC
(In reply to Antoine Martin from comment #3)
> Sorry for taking so long to reply.

NP, my own bugzilla todo queue is kilometres long :-(

> I have not asked for help as I do not see the point in doing so: the fix
> does not belong in our app as we use a toolkit to deal with the system tray..
> IMO, the fix belongs in the toolkit.

at least it'd be interesting how much they can help (may it be persuading the toolkit authors to do something ...)

> I can't wait to hear about how we should switch to Python 3, GTK3 and all
> the breakage that goes with it. ;)

hey, you really should, the Python2.7 process often hangs at my xpra server machine, I have to kill it and restart xpra three or four times a week ... let's get rid of Python2.7 getting stuck, hail new crashes with Python3.5 :-)

Comment 5 Jonathan Underwood 2016-02-19 18:16:02 UTC
(In reply to Karel Volný from comment #2)
> we're getting better, now I have some icon titled "Xpra" but it doesn't
> react to clicking :-)

Can you give 0.16.2 a try from updates-testing ? Even under gnome, I find that the systray icon doesn't always respond to a click - you have to click it in the right place :).

Comment 6 Karel Volný 2016-02-22 13:48:31 UTC
(In reply to Jonathan Underwood from comment #5)
> Can you give 0.16.2 a try from updates-testing ? Even under gnome, I find
> that the systray icon doesn't always respond to a click - you have to click
> it in the right place :).

ok, now it opens the menu and I haven't found a spot where it wouldn't react

the thing is that the icon is not "X" but a Klipper-like one

however, I've read about some issues with recent KDE updates, so I wouldn't close this for now, let's see if it still works after reboot

Comment 7 Fedora End Of Life 2016-11-24 11:53:47 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 13:46:31 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.